std::length_error Class Reference
Diagnostics » Exceptions
Inheritance diagram for std::length_error:
[legend]

## Public Member Functions

| length_error (const string &__arg) _GLIBCXX_TXN_SAFE
| length_error (const char *) _GLIBCXX_TXN_SAFE
virtual const char * | what () const _GLIBCXX_TXN_SAFE_DYN noexcept

## Detailed Description

Thrown when an object is constructed that would exceed its maximum permitted size (e.g., a basic_string instance).

Definition at line 170 of file stdexcept.

## Member Function Documentation

## what()

virtual const char* std::logic_error::what | ( |  | ) | const

virtual noexcept inherited

Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from std::exception.

Reimplemented in std::future_error.

The documentation for this class was generated from the following file:

- stdexcept